spring:
  application:
    name: tenant-open-web-rest-api
  webflux:
    base-path: /dispatch
  profiles:
    active: @spring.profiles.active@
  jackson:
    date-format: yyyy-MM-dd HH:mm:ss
    time-zone: GMT+8
server:
  tomcat:
    accept-count: 2000
    max-connections: 10000
    threads:
      max: 800
  servlet:
    context-path: /dispatch
  port: 8082
  compression:
    enabled: false #启用压缩之后速度更慢; 默认不启用
dubbo:
  application:
    name: tenant-open-rest-api
    qos-port: 33339
  registry:
    address: nacos://${nacos.address:localhost}:8848?username=nacos&password=nacos
    register-mode: instance
  protocol:
    name: dubbo
    port: -1
    token: false
    payload: 104857600
  config:
    version: 1.0
logging:
  level:
    root: error
  config: classpath:log4j2.xml
springdoc:
  api-docs:
    enabled: true
tenant:
  node: rest-api-v1
  tencent:
    callBackItems:
      - roomId: 15
        publishUrl: https://zafkxt.jcgov.gov.cn/dispatch/tencent/callback
  system:
    region-code: 100000